Issue 48675 - Moving rows in Writer
Summary: Moving rows in Writer
Status: CONFIRMED
Alias: None
Product: Writer
Classification: Application
Component: editing (show other issues)
Version: OOo 2.0 Beta
Hardware: All All
: P4 Trivial with 1 vote (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-04 04:56 UTC by girishm
Modified: 2013-02-07 22:35 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description girishm 2005-05-04 04:56:45 UTC
There does not seem to be the best way to move a row in a table up or down in
Writer? Following are the possibilities:

1) Select row -> copy -> go to required position -> Paste - it
overwrites existing the row. (Isn't 'insert' more intuitive than
replace?) So what works is, I need to insert a blank row and copy over
it. A bit too much work?
2) Select row -> Ctrl+Up/Down arrow (as in moving paragraphs - nice
feature!), but does not work :(

Proposed: Provide both 1) (with 'insert' and not 'replace' feature) and also 2)

Thanks. Keep up the good work. Let me know if you need any help from me.
Comment 1 michael.ruess 2005-05-04 09:18:00 UTC
Reassigned to requirements
Comment 2 ace_dent 2008-05-16 00:51:58 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 3 girishm 2008-06-30 05:25:19 UTC
I tested again with 2.0.4 (sorry, thats the latest version I could get my hands
on. To try to download the latest 2.4.1 is very difficult due to BW restriction
at my place of work).

The old behaviour still exists in 2.0.4 (cut-paste a row overwrites instead of
insert). Please consider adding this feature in 3.0. I am available to test it
again if required in 3.0 beta.

Thanks.
Comment 4 quadra7677 2009-05-14 21:36:26 UTC
Solution needed for Calc too, and also for moving columns not only rows

The "Cut & Paste" approach seems interesting. Think about a new cut command that
also cuts the row/column, not only its contents (maybe Ctrl+X cuts the contents,
Ctrl+X Ctrl+X (twice) cuts the contents including row/column?)
Comment 5 quadra7677 2009-05-14 22:50:43 UTC
NB I agree that 'insert' would be more intuitive than 'replace' when pasting
entire rows
NB Just noticed that in Calc, we can use Alt+(Mouse drag) to move rows & cols.
Would be nice in Writer, too!